aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorUlas Kozat <ulas.kozat@gmail.com>2016-06-27 11:38:09 -0700
committerUlas Kozat <ulas.kozat@gmail.com>2016-06-27 11:38:09 -0700
commitd6749dda9c553ee068aff7402d058e45ab082ef6 (patch)
treeec93c851ba266085d78b9b428e0b97f8731152b4
parentd87e15b4b4483feef0bd96af54578f4a53002a85 (diff)
refactored run.sh and changed its execution mode
Change-Id: I761bf4b4995e4fc19253388af881df9f532c5cc1 Signed-off-by: Ulas Kozat <ulas.kozat@gmail.com>
-rwxr-xr-x[-rw-r--r--]tests/run.sh21
1 files changed, 17 insertions, 4 deletions
diff --git a/tests/run.sh b/tests/run.sh
index b9ec9ae..695f0da 100644..100755
--- a/tests/run.sh
+++ b/tests/run.sh
@@ -55,8 +55,21 @@ clean_directories() {
fi
}
+cleanup() {
+ set +e
+ echo "cleanup..."
+
+ echo "Stopping Domino Client 1..."
+ stop_client1
+
+ echo "Stopping Domino Server..."
+ stop_server
+}
+
echo "domino/tests/run.sh has been executed."
+trap cleanup EXIT
+
echo "Cleaning residue files and folders from previous runs..."
clean_directories
@@ -97,11 +110,11 @@ python domino-cli.py $CLIENT1_CLIPORT publish -t "$toscafile_test1"
sleep 5
-echo "Stopping Domino Client 1..."
-stop_client1
+#echo "Stopping Domino Client 1..."
+#stop_client1
-echo "Stopping Domino Server..."
-stop_server
+#echo "Stopping Domino Server..."
+#stop_server
cut -d " " -f 4- "$client1_log" > file1
#will use the form below to declare success or failure